<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/data:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/data:1.0"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>

  <xs:element name="Fundamentals">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded" >
        <xs:element name="WebUI" minOccurs="0">
          <xs:annotation>
            <xs:documentation>
              WEB service information table
            </xs:documentation>
          </xs:annotation>
          <xs:complexType >
            <xs:all>
              <xs:element name="SessionAgingTime" minOccurs="0" nillable="true" >
                <xs:annotation>
                  <xs:documentation>
                    Web user connection timeout (minutes[1~999])
                  </xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value ="1"></xs:minInclusive>
                      <xs:maxInclusive value="999"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name ="HTTP" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>
                    HTTP configuration information.
                  </xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="State" type="base:EnableState" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          HTTP status.
                        </xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Port" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          HTTP port number.[1-65535]
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedShort">
                            <xs:minInclusive value ="1"></xs:minInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="AclNumber" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          HTTP ACL number in use.[2000-2999]
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value ="2000"></xs:minInclusive>
                            <xs:maxInclusive value="2999"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
              <xs:element name ="HTTPS" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>
                    HTTPS configuration information.
                  </xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="State" type="base:EnableState" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          HTTPS status.
                        </xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Port" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          HTTPS port number.[1-65535]
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedShort">
                            <xs:minInclusive value ="1"></xs:minInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="AclNumber" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          HTTPS ACL number in use.[2000-2999]
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value ="2000"></xs:minInclusive>
                            <xs:maxInclusive value="2999"></xs:maxInclusive>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="WebMenuPath" minOccurs="0">
              <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                      <xs:element name="MenuPath" minOccurs="0" maxOccurs="unbounded">
                          <xs:annotation>
                              <xs:documentation>row name</xs:documentation>
                          </xs:annotation>
                          <xs:complexType>
                              <xs:all>
                                  <xs:element name="Path" minOccurs="0" type="base:OctectString" nillable="true">
                                      <xs:annotation>
                                          <xs:documentation>Web path of menu.</xs:documentation>
                                      </xs:annotation>
                                  </xs:element>
                                  <xs:element name="Title" minOccurs="0" nillable="true">
                                      <xs:annotation>
                                          <xs:documentation>The description of WEB menu.</xs:documentation>
                                      </xs:annotation>
                                      <xs:complexType>
                                          <xs:simpleContent>
                                              <xs:restriction base="base:OctectString">
                                                  <xs:minLength value="1"></xs:minLength>
                                                  <xs:maxLength value="31"></xs:maxLength>
                                              </xs:restriction>
                                          </xs:simpleContent>
                                      </xs:complexType>
                                  </xs:element>
                                  <xs:element name="Type" minOccurs="0" nillable="true">
                                      <xs:annotation>
                                          <xs:documentation>The type of WEB menu.</xs:documentation>
                                      </xs:annotation>
                                      <xs:complexType >
                                          <xs:annotation>
                                              <xs:documentation>
                                                Enumeration:
                                                0:Leaf menu which is corresponding to the specific web page.
                                                1:Intermediate menu node which is not corresponding to the specific web page.
                                              </xs:documentation>
                                          </xs:annotation>
                                          <xs:simpleContent>
                                              <xs:restriction base="base:UnsignedInteger32">
                                                  <xs:enumeration value="0"></xs:enumeration>
                                                  <xs:enumeration value="1"></xs:enumeration>
                                              </xs:restriction>
                                          </xs:simpleContent>
                                      </xs:complexType>
                                  </xs:element>
                              </xs:all>
                              <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                          </xs:complexType>
                      </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
              </xs:complexType>
          </xs:element>
        <xs:element name="NetconfResXPath" minOccurs="0">

              <xs:complexType>
                  <xs:choice maxOccurs="unbounded">
                      <xs:element name="XPath" minOccurs="0" maxOccurs="unbounded">
                          <xs:annotation>
                              <xs:documentation>row name</xs:documentation>
                          </xs:annotation>
                          <xs:complexType>
                              <xs:all>
                                  <xs:element name="Path" minOccurs="0" type="base:OctectString" nillable="true">
                                      <xs:annotation>
                                          <xs:documentation>The operational XML resource path .</xs:documentation>
                                      </xs:annotation>
                                  </xs:element>
                                  <xs:element name="Type" minOccurs="0" nillable="true">
                                      <xs:complexType >
                                          <xs:annotation>
                                              <xs:documentation>
                                                Enumeration:
                                                0:The XML path of NETCONF protocol.Example:ˇ°rpc/kill-sessionˇ±.
                                                1:The intermediate XML path of NETCONF protocol.Example:ˇ°rpc/ˇ±.
                                                2:The XML path of device resources.Example:ˇ°ifmgr/interfaces/interface/ifindexˇ±.
                                                3:The intermediate XML path of device resources.Example:ˇ°ifmgr/interfaces/interface/ˇ±.
                                              </xs:documentation>
                                          </xs:annotation>
                                          <xs:simpleContent>
                                              <xs:restriction base="base:UnsignedInteger32">
                                                  <xs:enumeration value="0"></xs:enumeration>
                                                  <xs:enumeration value="1"></xs:enumeration>
                                                  <xs:enumeration value="2"></xs:enumeration>
                                                  <xs:enumeration value="3"></xs:enumeration>
                                              </xs:restriction>
                                          </xs:simpleContent>
                                      </xs:complexType>
                                  </xs:element>
                              </xs:all>
                              <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                          </xs:complexType>
                      </xs:element>
                  </xs:choice>
                  <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
              </xs:complexType>
          </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>
